VeraCrypt
aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMounir IDRASSI <mounir.idrassi@idrix.fr>2024-09-17 17:57:14 +0200
committerMounir IDRASSI <mounir.idrassi@idrix.fr>2024-09-17 17:57:14 +0200
commit866fc8f5137925e684ea855111affe2d71612b88 (patch)
treeed2f68bea1d837a1eea9d14c8591ee08212e8aa0
parent5c485e80b6165da55932a9d08aa5732146b64db2 (diff)
downloadVeraCrypt-866fc8f5137925e684ea855111affe2d71612b88.tar.gz
VeraCrypt-866fc8f5137925e684ea855111affe2d71612b88.zip
macOS: fix regression in build script that caused it to ignore fuset switch
fixed by Mattoje #1417
-rwxr-xr-xsrc/Build/build_veracrypt_macosx.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/src/Build/build_veracrypt_macosx.sh b/src/Build/build_veracrypt_macosx.sh
index fa3d02aa..13302442 100755
--- a/src/Build/build_veracrypt_macosx.sh
+++ b/src/Build/build_veracrypt_macosx.sh
@@ -43,41 +43,41 @@ usage() {
# Parse command-line options
while getopts "bpflv:h" flag
do
case "${flag}" in
b) brew=true;;
p) package=true;;
f) fuset=true;;
l) local_build=true;;
v)
if [ -z "$OPTARG" ]; then
echo "Error: -v requires a version argument."
usage
fi
WX_VERSION=${OPTARG}
;;
h) usage;;
*) usage;;
esac
done
-export VC_OSX_FUSET=$((fuset ? 1 : 0))
+export VC_OSX_FUSET=$([ "$fuset" = true ] && echo 1 || echo 0)
if [ "$fuset" = true ]; then
echo "Building VeraCrypt with FUSE-T support"
else
echo "Building VeraCrypt with MacFUSE support"
fi
if [ "$brew" = true ]; then
if ! command -v brew &> /dev/null; then
echo "Homebrew is not installed. Please install Homebrew or run without the -b flag."
exit 1
fi
export VC_OSX_SDK=$(xcrun --show-sdk-version) # use the latest version installed, this might fail
export VC_OSX_TARGET=${VC_OSX_SDK}
echo "Using MacOSX SDK $VC_OSX_SDK with target set to $VC_OSX_TARGET"
cd "$SOURCEPATH"
echo "Building VeraCrypt with precompiled homebrew packages"
cellar=$(brew --cellar "wxwidgets")